body {
    font-family: "Poppins", sans-serif;
}
ul {
    list-style: none;
}

/* navbar */

.header {
    z-index: 500;
    position: relative;
}

.header-bg {
    width: auto;
    height: 200px;
}

.navMenu {
    max-height: 50px;
    z-index: 1000; /* Ensure it stays on top of other content */
    transition: background-color 0.3s, color 0.3s;
}

.menu.scrolled {
    top: 0;
    position: fixed;
    width: 100%;
    background-color: rgba(0, 16, 24, 1);
}

.navbarLogo {
    max-width: 70px;
    cursor: pointer;
    margin-left: 0;
    padding: 5px;
}

.menu {
    padding-top: 5px;
    display: flex;
    flex-direction: column;
    width: 100%;
    list-style: none;
    margin: 0;
    position: relative;
    z-index: 1000;
}

.menu.active {
    background-color: rgba(0, 16, 24, 1);
}

.menuItem {
    width: 100%;
    display: none;
}

.menuItem.active {
    display: block;
}

.menuLink {
    font-weight: bold;
    display: block;
    color: white;
    text-decoration: none;
    line-height: 50px;
    padding: 0 15px;

}

.menuLink:hover {
    background: rgba(0, 0, 0, 0.2);
    border-bottom: #4C8F98 solid 1px;
}

.menuActiveLInk {
    background: rgba(0, 0, 0, 0.2);
    border-bottom: #4C8F98 solid 1px;
}

.langMenuItem {
    margin-left: 10px;
    display: none;
}

.langMenuItem.active {
    display: block;

}

.langIco {
    margin: 5px;
    width: 20px;
    height: 20px;
    border-radius: 50%;
}

.langIco:hover {
    box-shadow: white 1px 1px 8px;
}

.menuLogo {
    display: flex;
    justify-content: space-between;
}

.menuPhoneBtn {
    border: none;
    background: none;
    color: white;
    align-items: end;
    margin-right: 10px;
    font-size: 25px;
}


/* Main heading */

h1 {
    font-weight: bold;
    margin: 0;
}

.mainHeading {
    width: 100%;
    text-align: center;
    color: white;
    line-height: 12px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    margin-top: 15px;

}

.subHeading {
    text-align: center;
    font-size: 11px;
}

.lang-de h1 {
    letter-spacing: 1px;
}

.lang-de .mainHeading {
    margin-top: 5px;
}

/* Services section */
.grid {
    margin-top: 30px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 10px;
    padding: 20px;

}

.myCard {
    width: 300px;
    box-shadow: 0 4px 4px rgba(0, 16, 24, 0.5);
    border: #4C8F98 solid 1px;
    border-radius: 5px;
    background-color: white;
    height: 350px;
    color: black;
    margin: 0 15px;
    text-align: center;
}
.lang-de .myCard{
    height: 380px;
}

.myCardImg {
    top: 0;
    right: 0;
    width: 100%;
    height: 95px;
    object-fit: cover;
    border-radius: 5px 5px 0 0;
}

.myCardHeading {
    font-size: 15px;
    font-weight: bold;
    text-align: center;
    display: inline-block;
    margin-top: 5px;
    margin-bottom: 0;

}

.myCardContent {
    font-size: 14px;
    text-align: center;
    display: inline-block;
    margin: 5px;
}

.about {
    text-align: center;
    margin-top: 30px;
    padding: 0 20px;
    line-height: 30px;
}

/*image gallery*/

.imagesGallery {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    width: 100%;
    height: 100%;
}

.galleryImg {
    width: 300px;
    height: 300px;
    object-fit: cover;
    border: #4C8F98 solid 1px;
    box-shadow: 0 4px 4px rgba(0, 16, 24, 0.5);
    margin: 20px 20px;
    cursor: pointer;
}

.modal, .CarouselModal {
    display: none;
    position: fixed;
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.8);
    justify-content: center;
    align-items: center;
    transition: opacity 0.5s ease;
}

.modal-content, .Carousel-modal-content {
    margin: 10px;
    display: block;
    max-width: fit-content;
    max-height: 80%;
    animation: fadeInImage 0.5s;
}
.Carousel-modal-content {
    max-width: 90%;
    max-height: 90%;
}

.close, .CarouselClose {
    position: absolute;
    top: 50px;
    right: 35px;
    color: #fff;
    font-size: 40px;
    font-weight: bold;
    cursor: pointer;
    z-index: 1000;
}

.prev, .next, .CarouselPrev, .CarouselNext {
    display: none;
    background: none;
    border: none;
    cursor: pointer;
    width: auto;
    color: rgba(250, 250, 250, 0.4);
    font-weight: bold;
    font-size: 40px;
    transition: 0.3s;
    user-select: none;
    -webkit-user-select: none;
}


.prev:hover, .next:hover, .CarouselPrev, .CarouselNext {
    color: rgba(255, 255, 255, 0.5);
}

/* Animations */
@keyframes fadeIn {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

@keyframes fadeOut {
    from {
        opacity: 1;
    }
    to {
        opacity: 0;
    }
}

@keyframes fadeInImage {
    from {
        transform: scale(0.8);
        opacity: 0;
    }
    to {
        transform: scale(1);
        opacity: 1;
    }
}

@keyframes slideInFromLeft {
    from {
        transform: translateX(-100%);
        opacity: 0;
    }
    to {
        transform: translateX(0);
        opacity: 1;
    }
}

@keyframes slideInFromRight {
    from {
        transform: translateX(100%);
        opacity: 0;
    }
    to {
        transform: translateX(0);
        opacity: 1;
    }
}

.slide-left {
    animation: slideInFromLeft 1s backwards;
}

.slide-right {
    animation: slideInFromRight 1s forwards;
}

/* footer */

footer {
    background-color: rgba(0, 16, 24, 1);
    color: white;
    margin: 0;
    padding: 0;
    font-size: 11px;
}

.footerGrid {
    display: grid;
    grid-template-rows: auto auto auto;
    grid-template-columns: 1fr 1fr;
    justify-items: center;
    gap: 5px;
    line-height: 2em;
}

.footerLogo {
    margin: 10px 0;
    max-width: 75px;
}

.logoLink {
    grid-column: 2;
    grid-row: 1;
    align-self: end;
    justify-self: start;
    display: none;
}

.footerMenu {
    list-style: none;
    justify-self: center;
    grid-column: 1;
    margin: 10px 0;
}

.footerMenu a {
    text-decoration: none;
    color: white;
}

.footerContact {
    grid-column: 2;
    grid-row: 1;
    justify-self: center;
    margin: 10px 0;
    display: flex;
    flex-direction: column;
    list-style: none;

}

.footerContact ul {
    list-style: none;
}

.contactBtn {
    text-decoration: none;
    background-color: #4C8F98;
    color: black;
    font-size: 12px;
    border-radius: 50px;
    margin-top: 10px;
    justify-self: start;
    align-self: start;
    font-weight: bold;
}

.contactBtn:hover {
    background-color: rgba(76, 143, 152, 0.5);
    color: white;
}

.footerCopy {
    grid-column: 1;
    justify-self: end;
}

.footerDesign {
    grid-column: 2;
    justify-self: start;
}

.footerCopy, .footerDesign {
    font-size: 8px;
}

.ico {
    margin-right: 5px;
}

.IGLogo {
    margin-top: 10px;
    height: 20px;
    width: auto;
}

.IGLink {
    width: 20px;
}

.subpageSection {
    margin-bottom: 20px;
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: auto 1fr;
    gap: 5px;
    justify-content: center;
    align-content: center;

}

.subpageContent {
    margin: 20px;
    text-align: center;

}

.carousel {
    height: 350px;
    width: 350px;
    overflow: hidden;
    justify-self: center;
    align-self: center;

}

.carousel img {
    padding: 20px;
    width: 100%;
    height: 300px;
    transition: opacity 1.5s ease-in-out;
    object-fit: cover;
    border: #4C8F98 solid 1px;
    border-radius: 20px;
    box-shadow: 0 4px 4px rgba(0, 16, 24, 0.5);
    cursor: pointer;
}

.hidden {
    display: none;
}

/* media */
@media (min-width: 400px) {
    .carousel {
        width: 400px;
    }

}

@media (min-width: 640px) {
    .header-bg {
        width: auto;
        height: 300px;
    }

    h1 {
        font-size: 40px;
        letter-spacing: 6px;
    }

    .subHeading {
        font-size: 12px;
    }

    .mainHeading {
        margin: 0;
    }

    .footerGrid {
        grid-template-columns: repeat(4, 1fr);
    }

    .footerMenu {
        grid-column: 2;
    }

    .footerCopy {
        grid-column: 2;
    }

    .footerContact {
        grid-column: 3;
    }

    .footerDesign {
        grid-column: 3;
    }

    .footerLogo {
        max-width: 200px;
    }

    .logoLink {
        grid-column: 1;
        align-self: center;
        justify-self: center;
        display: block;
    }

    .carousel {
        width: 700px;
        height: 450px;
    }
    .carousel img{
        height: 400px;
    }
}

@media (min-width: 890px) {
    .header-bg {
        width: auto;
        height: 400px;
    }

    .menuLink:hover {
        background: none;
        text-shadow: black 4px 4px 4px;
        border-bottom: #4C8F98 solid 2px;

    }

    .menuActiveLInk {
        background: none;
        text-shadow: black 4px 4px 4px;
        border-bottom: #4C8F98 solid 2px;
    }

    nav {
        display: flex;
        align-items: center;
    }

    .navbarLogo {
        max-height: 65px;
        margin-left: 15px;

    }

    .menu {
        display: flex;
        flex-direction: row;
        align-items: center;
        flex-grow: 1;
        justify-content: end;
        background-color: rgba(0, 16, 24, .5);
    }

    .menuItem {
        width: auto;
        display: block;
    }

    .menuLink {
        font-size: small;
        margin: 0;
        padding: 0 10px;
    }

    .menuLogo {
        margin-right: auto;
    }

    .menuPhoneBtn {
        display: none;
    }

    .langMenuItem {
        display: block;
        margin-right: 15px;
    }

    .prev, .next, .CarouselPrev, .CarouselNext {
        display: block;
        margin: 0 5px;
        padding: 0;
    }

    .prev, .CarouselPrev {
        order: 1;
    }

    .modal-content, .Carousel-modal-content {
        order: 2;
    }

    .next, .CarouselNext {
        order: 3;
    }

    .subpageSection {
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 5px;
        justify-content: center;

    }

    .subpageContent {
        margin: 25px;
        text-align: left;
    }

    .carousel {
        height: 450px;
        width: 500px;
    }
}


@media (min-width: 960px) {
    h1 {
        font-size: 60px;
        letter-spacing: 8px;
    }

    .subHeading {
        font-size: 15px;
    }

    .subpageSection {
        margin: 0 50px;
    }

    .subpageContent {
        margin-top: 50px;
    }

}

@media (min-width: 1180px) {
    h1 {
        font-size: 80px;
        letter-spacing: 8px;
    }

    .subHeading {
        font-size: 20px;
    }

    .subpageSection {
        margin: 0 100px 20px 100px;

    }

    .subpageContent {
        margin-top: 50px;
    }
}

@media (min-width: 1300px) {
    h1 {
        font-size: 90px;
        letter-spacing: 8px;
    }

    .subHeading {
        font-size: 20px;
    }
    .carousel {
        width: 700px;
    }
}

@media (min-width: 1500px) {
    h1 {
        font-size: 100px;
        letter-spacing: 8px;
    }

    .subHeading {
        font-size: 25px;
    }
}

